## NAME

v.net.spanningtree - Computes minimum spanning tree for the network.

## KEYWORDS

vector, network, spanning tree

## SYNOPSIS

v.net.spanningtree
v.net.spanningtree help
v.net.spanningtree [-g] input=name output=name [layer=integer] [accol=name] [--overwrite] [--verbose] [--quiet]

### Flags:

-g
  Use geodesic calculation for longitude-latitude locations
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
layer=integer
  Layer number
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
accol=name
  Name of Arc cost column

## DESCRIPTION

v.net.spanningtree finds the minimum spanning tree in a network.

## NOTES

A spanning tree is a minimum cost subnetwork connecting all nodes in a network. Or, if a network is disconnected then the module computes the minimum spanning tree for each (weakly) connected component. So, strictly speaking, v.net.spanningtree does not compute spanning tree but a spanning forest. As the name suggests, a spanning tree is a tree. That is, it contains no cycles and if a component has N nodes then the tree has N-1 edges connecting all nodes. Accol is used to specify the costs of the edges. The output consists of the edges in the spanning tree.

## EXAMPLES

Find cheapest set of pipelines connecting all nodes.

    v.net.spanningtree input=projected_pipelines output=spanningtree accol=cost

## SEE ALSO

v.net, v.net.steiner

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

Last changed: $Date: 2013-05-23 22:01:55 +0200 (čt, 23 V 2013) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team